FilterScharrBorder
Fixed Filters

Filters the image using a Scharr filter kernel with border control. More...

## FilterScharrHorizBorder

Filters the image using a horizontal Scharr filter kernel with border control:
NppStatus | nppiFilterScharrHorizBorder_8u16s_C1R (const Npp8u *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiBorderType eBorderType)
| Single channel 8-bit unsigned to 16-bit signed horizontal Scharr filter kernel with border control. More...
NppStatus | nppiFilterScharrHorizBorder_8s16s_C1R (const Npp8s *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiBorderType eBorderType)
| Single channel 8-bit signed to 16-bit signed horizontal Scharr filter kernel with border control. More...
NppStatus | nppiFilterScharrHorizBorder_32f_C1R (const Npp32f *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiBorderType eBorderType)
| Single channel 32-bit floating-point horizontal Scharr filter kernel with border control. More...

## FilterScharrVertBorder

Filters the image using a vertical Scharr filter kernel kernel with border control:
NppStatus | nppiFilterScharrVertBorder_8u16s_C1R (const Npp8u *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiBorderType eBorderType)
| Single channel 8-bit unsigned to 16-bit signed vertical Scharr filter kernel with border control. More...
NppStatus | nppiFilterScharrVertBorder_8s16s_C1R (const Npp8s *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiBorderType eBorderType)
| Single channel 8-bit signed to 16-bit signed vertical Scharr filter kernel with border control. More...
NppStatus | nppiFilterScharrVertBorder_32f_C1R (const Npp32f *pSrc, Npp32s nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiBorderType eBorderType)
| Single channel 32-bit floating-point vertical Scharr filter kernel with border control. More...

## Detailed Description

Filters the image using a Scharr filter kernel with border control.

### Common parameters for nppiFilterScharrBorder functions include:

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  oSrcSize | Source image width and height in pixels relative to pSrc.
  oSrcOffset | The pixel offset that pSrc points to relative to the origin of the source image.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  eBorderType | The border type operation to be applied at source image border boundaries.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

## Function Documentation

NppStatus nppiFilterScharrHorizBorder_32f_C1R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiBorderType | eBorderType
| ) |  |

Single channel 32-bit floating-point horizontal Scharr filter kernel with border control.

For common parameter descriptions, see Common parameters for nppiFilterScharrBorder functions.

NppStatus nppiFilterScharrHorizBorder_8s16s_C1R | ( | const Npp8s * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiBorderType | eBorderType
| ) |  |

Single channel 8-bit signed to 16-bit signed horizontal Scharr filter kernel with border control.

For common parameter descriptions, see Common parameters for nppiFilterScharrBorder functions.

NppStatus nppiFilterScharrHorizBorder_8u16s_C1R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiBorderType | eBorderType
| ) |  |

Single channel 8-bit unsigned to 16-bit signed horizontal Scharr filter kernel with border control.

For common parameter descriptions, see Common parameters for nppiFilterScharrBorder functions.

NppStatus nppiFilterScharrVertBorder_32f_C1R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiBorderType | eBorderType
| ) |  |

Single channel 32-bit floating-point vertical Scharr filter kernel with border control.

For common parameter descriptions, see Common parameters for nppiFilterScharrBorder functions.

NppStatus nppiFilterScharrVertBorder_8s16s_C1R | ( | const Npp8s * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiBorderType | eBorderType
| ) |  |

Single channel 8-bit signed to 16-bit signed vertical Scharr filter kernel with border control.

For common parameter descriptions, see Common parameters for nppiFilterScharrBorder functions.

NppStatus nppiFilterScharrVertBorder_8u16s_C1R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiBorderType | eBorderType
| ) |  |

Single channel 8-bit unsigned to 16-bit signed vertical Scharr filter kernel with border control.

For common parameter descriptions, see Common parameters for nppiFilterScharrBorder functions.

Copyright © 2009-2017 NVIDIA Corporation